unit IELabel;
{************************************************
 * IELabel (C) 2000 by Rasmus Klitgaard-Nielsen *
 ************************************************
 * A Label with a Hover effect, like IE Links.. *
 *                                              *
 * TLabel w/ added Property MouseOverFont;      *
 * use onClick for "links"                      *
 ************************************************}
interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TIELabel = class(TLabel)
  private
    { Private declarations }
    HiFont,OrdFont:TFont;
    procedure setHiFont(Value:TFont);
  protected
    { Protected declarations }
    procedure CMMouseEnter(var Msg:TMessage);
    message cm_MouseEnter;
    procedure CMMouseLeave(var Msg:TMessage);
    message cm_MouseLeave;
  public
    { Public declarations }
    constructor create(AOwner: TComponent); override;
    destructor destroy; override;
  published
    { Published declarations }
    property MouseOverFont:TFont read HiFont write setHifont;
  end;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('Samples', [TIELabel]);
end;

procedure TIELabel.setHiFont(Value:TFont);
begin
  HiFont.Assign(Value);
end;

Constructor TIELabel.create(AOwner: TComponent);
begin
  inherited Create(AOwner);
  OrdFont:=TFont.Create;
  Hifont:=TFont.Create;
  OrdFont.assign(Font);
  OrdFont.Color:=RGB(0,0,$A0);
  HiFont.Assign(Font);
  HiFont.Color:=clBlue;
  Hifont.Style:=[fsUnderline];
  cursor:=crHandPoint;
end;
destructor TIELabel.destroy;
begin
  ordfont.free;
  hifont.free;
  inherited destroy;
end;

procedure TIELabel.CMMouseEnter;
Begin
  Font.Assign(HiFont);
End;

procedure TIELabel.CMMouseLeave;
Begin
  Font.Assign(OrdFont);
End;
end.
